You are not logged in.

#1 2021-11-01 17:46:49

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

[SOLVED] latest update today, broke lightdm xorg login

Hi

as usual did the latest updates,

Sadly they broke my system with message
Failed to start the Lightdm manager so I'm stuck in tty and using an old pc to write this

Strangely I can't seem to add screen shots from my telephone to show you

So I'm total stuck

Some help please

Last edited by Trevor_B (2021-11-02 14:07:39)

Offline

#2 2021-11-01 17:55:14

loqs
Member
Registered: 2014-03-06
Posts: 14,414

Re: [SOLVED] latest update today, broke lightdm xorg login

See pastebin to post the contents of /var/log/Xorg.0.log from the console.

Offline

#3 2021-11-01 18:00:44

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

loqs wrote:

See pastebin to post the contents of /var/log/Xorg.0.log from the console.


Thanks, But i will need some help here as not very good in tty, if you could give me the full command to use it would be great

Offline

#4 2021-11-01 18:04:47

loqs
Member
Registered: 2014-03-06
Posts: 14,414

Re: [SOLVED] latest update today, broke lightdm xorg login

The full command was listed there:

curl -F 'f:1=<-' ix.io < file

with the exception you have to substitute file for the actual filename you want to upload,  so it would become:

curl -F 'f:1=<-' ix.io < /var/log/Xorg.0.log

Offline

#5 2021-11-01 18:16:16

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

I'm fairly sure I'm typing the correct commande (as can't copy to the othe PC )
But I'm getting the following

curl: (26) Failed to open/read from file /application

I did an ls from cd/var/log I have these
Xorg.0.log     Xorg.0.log.old
Xorg.1.log     Xorg.1.log.old
Xorg.2.log      Xorg.2.log.old

Last edited by Trevor_B (2021-11-01 18:21:56)

Offline

#6 2021-11-01 18:24:00

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

OK error I did <_' and not <-'
sorry

http://ix.io/3DDa

do you need the 1 & 2 logs

Offline

#7 2021-11-01 18:43:39

Maniaxx
Member
From: .de
Registered: 2014-05-14
Posts: 502

Re: [SOLVED] latest update today, broke lightdm xorg login

[     3.824] (WW) NVIDIA(0): The NVIDIA GeForce GTX 760 GPU installed in this system is
[     3.824] (WW) NVIDIA(0):     supported through the NVIDIA 470.xx Legacy drivers. Please
[     3.824] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[     3.824] (WW) NVIDIA(0):     information.  The 495.44 NVIDIA driver will ignore this
[     3.824] (WW) NVIDIA(0):     GPU.  Continuing probe...

Uninstall 'nvidia' and install 'aur/nvidia-470xx-dkms'.

$ yay -Ssq nvidia 470
lib32-nvidia-470xx-utils
lib32-opencl-nvidia-470xx
nvidia-470xx-settings
libxnvctrl-470xx
nvidia-470xx-dkms
opencl-nvidia-470xx
nvidia-470xx-utils

Last edited by Maniaxx (2021-11-01 18:47:54)


sys2064

Offline

#8 2021-11-01 18:47:51

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,999

Re: [SOLVED] latest update today, broke lightdm xorg login

I'm assuming you accidentally made a report

Trevor_B wrote:

    So reading this log showd me Nvidai is no longer supporting my card NVIDIA GeForce GTX 760 GPU

So I up the shxxt street without a paddle, some told me to buld the Aur 470 xxx but that I am unable to do

What do you mean with that? Why are you unable to do that? You can do all of this from a terminal, if you really feel you need a GUI, remove the nvidia drivers and use nouveau to get to a graphical interface, or temporarily downgrade the linux and the nvidia and nvidia-utils packages so you can install the proper setup.

Online

#9 2021-11-01 19:22:54

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

Maniaxx wrote:

[     3.824] (WW) NVIDIA(0): The NVIDIA GeForce GTX 760 GPU installed in this system is
[     3.824] (WW) NVIDIA(0):     supported through the NVIDIA 470.xx Legacy drivers. Please
[     3.824] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[     3.824] (WW) NVIDIA(0):     information.  The 495.44 NVIDIA driver will ignore this
[     3.824] (WW) NVIDIA(0):     GPU.  Continuing probe...

Uninstall 'nvidia' and install 'aur/nvidia-470xx-dkms'.

$ yay -Ssq nvidia 470
lib32-nvidia-470xx-utils
lib32-opencl-nvidia-470xx
nvidia-470xx-settings
libxnvctrl-470xx
nvidia-470xx-dkms
opencl-nvidia-470xx
nvidia-470xx-utils


Thatnks I'm trying to delete the nvida driver
Have tried sudo pacman -Rns nvida nvidia-495.44-2-x86_64.pkg.tar.zst     and only nvida nvidia-495.44-2 but keep getting target not found

Offline

#10 2021-11-01 19:27:02

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

V1del wrote:

I'm assuming you accidentally made a report

Trevor_B wrote:

    So reading this log showd me Nvidai is no longer supporting my card NVIDIA GeForce GTX 760 GPU

So I up the shxxt street without a paddle, some told me to buld the Aur 470 xxx but that I am unable to do

What do you mean with that? Why are you unable to do that? You can do all of this from a terminal, if you really feel you need a GUI, remove the nvidia drivers and use nouveau to get to a graphical interface, or temporarily downgrade the linux and the nvidia and nvidia-utils packages so you can install the proper setup.


Why are you unable to do that beacuse I'm not the Linux savey

I'm trying to delete the driver but getting target not found, so my -Rns xxx is wrong, I could then update using the yay suggested by  I think / hope

What is this  "use nouveau" to get to a graphical interface

Thanks

Offline

#11 2021-11-01 19:48:25

Maniaxx
Member
From: .de
Registered: 2014-05-14
Posts: 502

Re: [SOLVED] latest update today, broke lightdm xorg login

Try this:

mkdir /tmp/yay && cd /tmp/yay
curl -o PKGBUILD https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD?h=yay-bin
makepkg
sudo pacman -U yay-bin-11.0.2-1-x86_64.pkg.tar.zst

sudo pacman -Runs nvidia
yay -S nvidia-470xx-dkms nvidia-470xx-utils libxnvctrl-470xx nvidia-470xx-settings opencl-nvidia-470xx

Edit: fixed *.tar.zst.

Last edited by Maniaxx (2021-11-01 19:53:14)


sys2064

Offline

#12 2021-11-01 19:59:22

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

sudo pacman -U yay_11.0.2_x86_64.tar.gz


getting invalid or corrupted package

Offline

#13 2021-11-01 20:02:43

Maniaxx
Member
From: .de
Registered: 2014-05-14
Posts: 502

Re: [SOLVED] latest update today, broke lightdm xorg login

Yes, my fault. I've fixed it. See above.

Last edited by Maniaxx (2021-11-01 20:03:50)


sys2064

Offline

#14 2021-11-01 20:11:03

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

installing now

No luck, install seemed to go good

But still have afailed to start Light Display manager

lasted log http://ix.io/3DDQ

Last edited by Trevor_B (2021-11-01 20:14:54)

Offline

#15 2021-11-01 20:12:14

loqs
Member
Registered: 2014-03-06
Posts: 14,414

Re: [SOLVED] latest update today, broke lightdm xorg login

@Maniaxx should you not be encouraging Trevor_B to read the wiki and learn how to use AUR instead of providing step by step instructions?

Offline

#16 2021-11-01 20:15:48

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

loqs wrote:

@Maniaxx should you not be encouraging Trevor_B to read the wiki and learn how to use AUR instead of providing step by step instructions?

I do read the wiki, I installed arch all on my own a year ago, and have managed to do most things on my own, but this is well over my head

Offline

#17 2021-11-01 20:20:37

loqs
Member
Registered: 2014-03-06
Posts: 14,414

Re: [SOLVED] latest update today, broke lightdm xorg login

Arch_User_Repository#Installing_and_upgrading_packages covers building AUR packages and has further links detailing parts of the process.
If you need a text based browser to obtain the url of the AUR package there are w3m,  lynx and links in the repositories.
Edit:
Assuming you have base-devel and git install

git clone https://aur.archlinux.org/nvidia-470xx-utils.git
cd nvidia-470xx-utils

Inspect PKGBUILD

makepkg -rsi # Assuming you have the matching headers for the kernel package instaledl that will install nvidia-470xx-dkms and nvidia-470xx-utils which is enough for X to work.  Will also install opencl-nvidia-470xx.

Last edited by loqs (2021-11-01 20:29:55)

Offline

#18 2021-11-01 20:39:05

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

Update

I ran Timeshift from tty and restored the system back to two days ago

Firstly MANY thanks Maniaxx for your patience and help

My question, is now what to do ?, to get around my old Nvidia card that still works perfectly but is no longer supported

As I don't understand enough , if I uninstall the drivers I'll end up in tty again, and though I am learning just tty is hard and I am sometimes out of my depth

V1del said "use nouveau" is this a replacement to nvidia drivers ? and if so how to make the switch ?

Again thanks to all for the help, I should have thought about running Timeshift earlier and saved you all some hassle

Offline

#19 2021-11-01 20:40:37

Maniaxx
Member
From: .de
Registered: 2014-05-14
Posts: 502

Re: [SOLVED] latest update today, broke lightdm xorg login

Maybe you need 'early loading'. Install the 'pacman hook' and add the nvidia modules for 'early loading'.

/etc/mkinitcpio.conf:

MODULES=(nvidia nvidia_modeset nvidia_uvm nvidia_drm)

Then update the initramfs:

sudo mkinitcpio -p linux

Yes, true about self-learning but sometimes its frustrating especially if you're stuck on the terminal.


sys2064

Offline

#20 2021-11-01 20:51:15

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

Maniaxx wrote:

Maybe you need 'early loading'. Install the 'pacman hook' and add the nvidia modules for 'early loading'.

/etc/mkinitcpio.conf:

MODULES=(nvidia nvidia_modeset nvidia_uvm nvidia_drm)

Then update the initramfs:

sudo mkinitcpio -p linux

Yes, true about self-learning but sometimes its frustrating especially if you're stuck on the terminal.

'early loading'. Got a feeling I did that a long, long time ago because of the same problem with  some mesa updates

But if I understand it correctly the latest nvidia 495 does not support my old card, hence the broken reboot. Tomorrow as it late I'll read up on this nouveau to see if that's the solution

Yes, true about self-learning but sometimes its frustrating especially if you're stuck on the terminal - I'm all for self learning, and have now been running linux for 2 years and no longer have a Win machine (35 years with windows) but effectively when you are stuck in tty, that is a nightmare

The problem now is I can no longer do any updates sad

Offline

#21 2021-11-01 21:03:02

loqs
Member
Registered: 2014-03-06
Posts: 14,414

Re: [SOLVED] latest update today, broke lightdm xorg login

If you install nvidia-470xx-dkms and nvidia-470xx-utils on the downgraded system those packages will replace their nvidia counterparts.  Once you have that working you can perform a full system update.
The alternative is as you mentioned nouveau which is covered on the wiki.

Offline

#22 2021-11-01 21:22:28

Raynman
Member
Registered: 2011-10-22
Posts: 1,358

Re: [SOLVED] latest update today, broke lightdm xorg login

Trevor_B wrote:

But if I understand it correctly the latest nvidia 495 does not support my old card, hence the broken reboot.

That was the initial problem (at least you eventually noticed the clear warning in the Xorg log). After installing the 470 version, you got a new message in the log, but you didn't show any initiative beyond dumping it here (and the same could be said about some other errors).

The early loading seems like a good guess and if you already have the right modules in mkinitcpio.conf, you would just have to update the initramfs after switching to the legacy driver. It seems you already had the hook, but the legacy driver has a different pkgname, so the Target= line would need to be updated.

If that doesn't fix it, you should actually check/post the journal as the error message suggests, or if you get a new message, see if you can do something with that.

Offline

#23 2021-11-01 21:41:04

Trevor_B
Member
Registered: 2019-12-28
Posts: 37

Re: [SOLVED] latest update today, broke lightdm xorg login

loqs wrote:

If you install nvidia-470xx-dkms and nvidia-470xx-utils on the downgraded system those packages will replace their nvidia counterparts.  Once you have that working you can perform a full system update.
The alternative is as you mentioned nouveau which is covered on the wiki.


Thanks, that is what I'm going to do tomorrow, It seems the best solution and should end this problem

I've learnt that I need to yay to install them that but that's not a problem as I use yay sometimes

Many thanks smile


When it's done and working I'll close this

Offline

#24 2021-11-01 22:46:49

Maniaxx
Member
From: .de
Registered: 2014-05-14
Posts: 502

Re: [SOLVED] latest update today, broke lightdm xorg login

loqs wrote:

If you install nvidia-470xx-dkms and nvidia-470xx-utils on the downgraded system those packages will replace their nvidia counterparts.

The 'nvidia' package is not defined in 'conflict=' though. It will not be removed automatically.

You cannot have 2 packages that provide the same kernel module for the same kernel version. The nvidia official package provide a module for the linux kernel (Arch Linux version). Installing nvidia-470xx-dkms also provide the same module (but older version) for the same linux kernel version (since dkms). How the kernel is going to choose which version to pick?

Also without the conflict, it makes the transition from nvidia package to nvidia-470xx-dkms a bit complicated... I have to uninstall nvidia nvidia-lts nvidia-utils lib32-nvidia-utils nvidia-settings before installing nvidia-470xx-dkms ..., since nvidia-utils require a specific nvidia module version

https://aur.archlinux.org/pkgbase/nvidi … ent-833789


sys2064

Offline

#25 2021-11-01 22:56:39

loqs
Member
Registered: 2014-03-06
Posts: 14,414

Re: [SOLVED] latest update today, broke lightdm xorg login

Maniaxx wrote:
loqs wrote:

If you install nvidia-470xx-dkms and nvidia-470xx-utils on the downgraded system those packages will replace their nvidia counterparts.

The 'nvidia' package is not defined in 'conflict=' though. It will not be removed automatically.

The 470 version of the nvidia package depends on nvidia-utils=470.74.  My expectation was as that dependency could not be fulfilled pacman would prompt to remove the package.

Maniaxx wrote:

How the kernel is going to choose which version to pick?

The kernel loads the modules provided by userspace.  depmod.d defines the search order.

Last edited by loqs (2021-11-01 23:23:26)

Offline

Board footer

Powered by FluxBB